package org.springblade.file.exception;

import lombok.Getter;

import java.io.File;

/**
 *  文件解压失败异常
 * @author bfhuange
 * @date 2024/11/11
 */
@Getter
public class UnzipFailException extends RuntimeException{
    /**
     *  解压目录
     */
    private final File unzipDir;

    public UnzipFailException(Throwable cause, File unzipDir) {
        super(cause);
        this.unzipDir = unzipDir;
    }

    public UnzipFailException(String message, File unzipDir) {
        super(message);
        this.unzipDir = unzipDir;
    }
}
